<template>
    <div
        class="tabs"
        :class="size"
    >
        <b-tabs
            pills
            @input="updTab"
        >
            <b-tab
                v-for="(item, index) in items"
                :key="index"
                :active="active === index"
            >
                <template #title>
                    <div
                        class="d-flex align-items-center"
                        :class="{active: active === index}"
                    >
                        <SimpleSvg
                            v-if="item.icon"
                            :src="item.icon"
                            custom-class-name="tabs__icon"
                        />
                        <span>{{ item.tabTitle || item.title }}</span>
                    </div>
                </template>
            </b-tab>
        </b-tabs>
    </div>
</template>

<script>
export default {
    props: {
        items: {
            type: Array,
        },
        size: {
            type: String,
            default: ''
        },
        tabKey: {
            type: String,
            default: 'component'
        }
    },
    data() {
        return {
            active: 0,
            firstUpd: true
        }
    },
    mounted() {
        if (this.firstUpd) this.changeFirstTab()
    },
    methods: {
        changeFirstTab() {
            if (!this.$route.query.tab) {
                this.firstUpd = false
                this.updTab(0)
                return
            }
            this.active = this.items.findIndex(el => el[this.tabKey] == this.$route.query.tab)
            this.$emit('switch', this.active)
            setTimeout(() => this.firstUpd = false, 100)
        },
        updTab(index) {
            if (this.firstUpd) return
            this.active = index
            this.$emit('switch', this.active)
        }
    }
}
</script>

<style lang="scss" scoped>
.tabs {
    margin-right: auto;
    &.big {
        ::v-deep {
            .nav-pills .nav-link {
                padding: 13px 64px;
                margin-bottom: 0;
            }
            .nav-pills .nav-item {
                margin-right: 24px;
            }
        }
    }
    ::v-deep {
        .tabs__icon {
            margin-right: 10px;
            fill: #d7d9db !important;
        }
        .active {
            .tabs__icon {
                fill: #4786ff !important;
            }
        }
    }
}

::v-deep .nav-pills .nav-link {
    &.active {
        filter: drop-shadow(0px 5px 20px rgba(200, 208, 222, 0.2));
    }
}

@media(max-width: 1010px) {
    .tabs.big {
        ::v-deep {
            .nav-pills .nav-link {
                padding: 13px 34px;
            }
            .nav-pills .nav-item {
                margin-right: 10px;
            }
        }
    }
}

@media(max-width: 550px) {
    .tabs.big {
        ::v-deep {
            .nav-pills .nav-link {
                padding: 5px 17px;
            }
            .nav-pills .nav-item {
                margin-right: 7px;
            }
        }
    }
}
</style>
